Name:           perl-Pod-Parser
Version:        1.66
Release:        1
Summary:        Basic perl modules for handling Plain Old Documentation (POD)
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Pod-Parser/
Source0:        http://www.cpan.org/authors/id/M/MA/MAREKR/Pod-Parser-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(perl -V:version  | cut -d"'" -f 2)) perl(Config)

%description
This software distribution contains the packages for using Perl5 POD (Plain
Old Documentation). See the "perlpod" and "perlsyn" manual pages from your
Perl5 distribution for more information about POD.

%package_help

%prep
%autosetup -n Pod-Parser-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%doc README
%{_bindir}/podselect
%{perl_vendorlib}/Pod/*

%files help
%doc ANNOUNCE CHANGES TODO
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2023 jiangchuangang <jiangchuangang@huawei.com> - 1.66-1
- update to 1.66

* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 1.63-399
- use macros package_help

* Thu Jul 22 2021 Jiuyue Ma <majiuyue@huawei.com> - 1.63-398
- fix conflict package file '%{perl_vendorlib}/Pod'

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.63-397
- Package init
